ข้ามไปยังเนื้อหา

Triposplat

ผสานการทำงาน

ID โมเดล tripo3d/triposplat
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/triposplat?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.05 50 เครดิต API · ≈ ₽5.27 เรียกใช้ในหน้านี้

รับคีย์ API
Tripo ภาพเป็น 3D #3d#gaussian-splat

แปลงภาพหนึ่งภาพเป็นไฟล์ 3D Gaussian splat และส่งออกเป็น .ply หรือ .splat

Tripo · 3D

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น image_url
วางไฟล์ หรือ

URL รูปภาพต้นทางสำหรับแปลงเป็น Gaussian splat 3D

ขั้นสูง output_format · num_gaussians · num_inference_steps · guidance_scale · seed · enable_safety_checker
output_format ค่าเริ่มต้น ply

รูปแบบไฟล์เอาต์พุตสำหรับ Gaussian splat

ค่าเริ่มต้น 262144

จำนวน Gaussian ที่ต้องการสำหรับ splat ที่สร้าง โดยจะปัดภายในเป็นพหุคูณที่ใกล้ที่สุดของ 32 การเพิ่มค่าจะเพิ่มรายละเอียด แต่ทำให้ขนาดไฟล์ใหญ่ขึ้นและเรนเดอร์ช้าลง

ค่าเริ่มต้น 20

จำนวนขั้นตอนสำหรับตัวสุ่มตัวอย่าง flow-matching

ค่าเริ่มต้น 3

การควบคุม classifier-free guidance โดยค่าที่สูงขึ้นจะเพิ่มรายละเอียดและทำให้ผลลัพธ์ใกล้เคียงรูปภาพต้นทางมากขึ้น แต่อาจทำให้สีอิ่มตัวเกินไป Guidance จะปิดใช้เมื่อค่าอยู่ที่ 1.0 หรือต่ำกว่า

Seed ที่ใช้สร้างผลลัพธ์เดิมซ้ำ การตั้งเป็น None จะเลือก Seed แบบสุ่ม

POST /run/tripo3d/triposplat?wait=20 ใบเสนอราคา → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/triposplat?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Triposplat

สร้าง 3D Gaussian splat จากภาพเดียว (`image_url`) แทนการใช้เมช `num_gaussians` อยู่ในช่วง 32,768 ถึง 262,144 และ `output_format` คือ ply หรือ splat นอกจากนี้ยังตั้งค่า `num_inference_steps` (1-50), `guidance_scale` และ `seed` ได้ การตอบกลับจะมีจำนวน Gaussian จริงและภาพที่ลบพื้นหลังซึ่งโมเดลใช้

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlจำเป็น image
ประเภทurl · image
URL รูปภาพต้นทางสำหรับแปลงเป็น Gaussian splat 3D
num_gaussiansไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น262144
32,768 – 262,144
จำนวน Gaussian ที่ต้องการสำหรับ splat ที่สร้าง โดยจะปัดภายในเป็นพหุคูณที่ใกล้ที่สุดของ 32 การเพิ่มค่าจะเพิ่มรายละเอียด แต่ทำให้ขนาดไฟล์ใหญ่ขึ้นและเรนเดอร์ช้าลง
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น20
1 – 50
จำนวนขั้นตอนสำหรับตัวสุ่มตัวอย่าง flow-matching
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น3
0 – 10
การควบคุม classifier-free guidance โดยค่าที่สูงขึ้นจะเพิ่มรายละเอียดและทำให้ผลลัพธ์ใกล้เคียงรูปภาพต้นทางมากขึ้น แต่อาจทำให้สีอิ่มตัวเกินไป Guidance จะปิดใช้เมื่อค่าอยู่ที่ 1.0 หรือต่ำกว่า
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นply
plysplat
รูปแบบไฟล์เอาต์พุตสำหรับ Gaussian splat
seedไม่บังคับ
ประเภทinteger | null
Seed ที่ใช้สร้างผลลัพธ์เดิมซ้ำ การตั้งเป็น None จะเลือก Seed แบบสุ่ม
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สวิตช์ตรวจสอบความปลอดภัยสำหรับรูปภาพต้นทาง
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/triposplat",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "preprocessed_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "num_gaussians": 1,
    "seed": 42,
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
model_mesh
object {url, content_type, file_name, file_size}ไฟล์เอาต์พุตที่มี Gaussian splat 3D ในรูปแบบ .ply หรือ .splat
preprocessed_image
object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลใช้จริง: ภาพประกอบ RGB ที่แสดงฉากหน้าเทียบกับพื้นหลังสีดำหลังจากลบพื้นหลังแล้ว
num_gaussians
integerจำนวน Gaussian ที่สร้างจริง
seed
integerค่า Seed ที่ใช้ระหว่างการสร้าง
timings
objectเวลาที่ใช้ในแต่ละขั้น วัดเป็นวินาที

โมเดลเพิ่มเติม: ภาพเป็น 3D

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/tripo3d/triposplat.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt